Bug 207039 - [NEW PORT] graphics/py3-pygraphviz: variant of graphics/py-pygraphviz for Python 3.x
Summary: [NEW PORT] graphics/py3-pygraphviz: variant of graphics/py-pygraphviz for Pyt...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://reviews.freebsd.org/D6281
Keywords:
Depends on: 207036
Blocks: 207005
  Show dependency treegraph
 
Reported: 2016-02-08 23:22 UTC by Ben Woods
Modified: 2016-05-18 16:55 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
Patch to update graphics/py3-pygraphviz (after svn copy) (1.60 KB, patch)
2016-02-08 23:25 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for graphics/py3-pygraphviz on FreeBSD 10.2 amd64 (34.95 KB, text/plain)
2016-02-08 23:26 UTC, Ben Woods
no flags Details
Patch to create graphics/py3-pygraphviz (using graphics/py-pygraphviz as MASTERDIR) (1.87 KB, patch)
2016-02-21 12:18 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for graphics/py3-pygraphviz on FreeBSD 10.2 amd64 (38.50 KB, text/plain)
2016-02-21 12:21 UTC, Ben Woods
no flags Details
Patch to create graphics/py3-pygraphviz (using graphics/py-pygraphviz as MASTERDIR) (1.82 KB, patch)
2016-04-06 20:08 UTC, Ben Woods
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-02-08 23:22:51 UTC
* Copy graphics/py-pygraphviz: svn copy graphics/py-pygraphviz graphics/py3-pygraphviz
 * Update to USES=python:3
 * Update TEST_DEPENDS from devel/py-nose to devel/py3-nose (also a new port) [1]
 * Add LICENSE=BSD3CLAUSE as per LICENSE file in distfile
 * Take maintainership - happy to either do this myself or leave with python@FreeBSD.org if that is more appropriate


 [1] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=207036
Comment 1 Ben Woods freebsd_committer 2016-02-08 23:24:53 UTC
This new port is required to fulfill the Python 3.2+ dependencies of the latest upstream version of science/gramps.
Comment 2 Ben Woods freebsd_committer 2016-02-08 23:25:48 UTC
Created attachment 166772 [details]
Patch to update graphics/py3-pygraphviz (after svn copy)

This patch should be applied after performing the following command:
svn copy graphics/py-pygraphviz graphics/py3-pygraphviz
svn patch <insertpatch>
Comment 3 Ben Woods freebsd_committer 2016-02-08 23:26:30 UTC
Created attachment 166773 [details]
QA: Successful poudriere testport logs for graphics/py3-pygraphviz on FreeBSD 10.2 amd64
Comment 4 Ben Woods freebsd_committer 2016-02-21 12:18:27 UTC
Created attachment 167245 [details]
Patch to create graphics/py3-pygraphviz (using graphics/py-pygraphviz as MASTERDIR)

This patch changes the approach for the new port graphics/py3-pygraphviz to use the existing port graphics/py-pygraphviz as the MASTERDIR.

* Create new port graphics/py3-pygraphviz
* New port specifies USES=python:3.4+ [2]
* New port changes TEST_DEPENDS to devel/py3-nose (also a new port) [1]
* Update index devel/Makefile
* Ensure graphics/py-pygraphviz does not clobber variables in slave port
* While here, add LICENSE and LICENSE_FILE details to graphics/py-pygraphviz


 [1] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=207036
 [2] http://pygraphviz.github.io/documentation/pygraphviz-1.3.1/install.html#requirements
Comment 5 Ben Woods freebsd_committer 2016-02-21 12:21:24 UTC
Created attachment 167246 [details]
QA: Successful poudriere testport logs for graphics/py3-pygraphviz on FreeBSD 10.2 amd64
Comment 6 Ben Woods freebsd_committer 2016-02-21 12:52:45 UTC
(In reply to Ben Woods from comment #4)
> * Update index devel/Makefile

This is a typing mistake, and should instead have read:
* Update index in graphics/Makefile
Comment 7 Ben Woods freebsd_committer 2016-04-06 20:08:53 UTC
Created attachment 169056 [details]
Patch to create graphics/py3-pygraphviz (using graphics/py-pygraphviz as MASTERDIR)

Patch updated to apply cleanly against recent changes to graphics/py-graphviz
Comment 8 Ben Woods freebsd_committer 2016-05-09 21:52:59 UTC
This diff has been added to phabricator for review:
  https://reviews.freebsd.org/D6281
Comment 9 commit-hook freebsd_committer 2016-05-18 16:55:37 UTC
A commit references this bug:

Author: woodsb02
Date: Wed May 18 16:54:52 UTC 2016
New revision: 415457
URL: https://svnweb.freebsd.org/changeset/ports/415457

Log:
  Create new port graphics/py3-pygraphviz:
  - This is a variant of graphics/py-pygraphviz for Python 3.x.
    A separate port is needed until the ports tree gets VARIANTS support.
    The science/gramps port will soon be updated to a version which only
    supports python3, and it depends on py-pygraphviz with python3.
    To allow people to only use packages directly (and not ports),
    the package building infrastructure needs to build 2 packages:
    py-pygraphviz with python2 and py-pygraphviz with python3.
    Since the ports tree doesn't yet have VARIANTS support, this is not
    yet possible without making a separate py3-pygraphviz port.
  - Ensure graphics/py-pygraphviz does not clobber variables in slave port
  - While here, add LICENSE and LICENSE_FILE details to graphics/py-pygraphviz

  PR:		207039
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6281

Changes:
  head/graphics/Makefile
  head/graphics/py-pygraphviz/Makefile
  head/graphics/py3-pygraphviz/
  head/graphics/py3-pygraphviz/Makefile